E UROPEAN S YNCHROTRON R ADIATION F ACILITY ##### INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON |

Main Page Namespace List Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TangoTest Namespace Reference

## Compounds
class | TangoTest::DataGenerator
class | TangoTest::DevBooleanCmd
class | TangoTest::DevDoubleCmd
class | TangoTest::DevFloatCmd
class | TangoTest::DevLongCmd
class | TangoTest::DevShortCmd
class | TangoTest::DevStringCmd
class | TangoTest::DevULongCmd
class | TangoTest::DevUShortCmd
class | TangoTest::DevVarCharArrayCmd
class | TangoTest::DevVarDoubleArrayCmd
class | TangoTest::DevVarDoubleStringArrayCmd
class | TangoTest::DevVarFloatArrayCmd
class | TangoTest::DevVarLongArrayCmd
class | TangoTest::DevVarLongStringArrayCmd
class | TangoTest::DevVarShortArrayCmd
class | TangoTest::DevVarStringArrayCmd
class | TangoTest::DevVarULongArrayCmd
class | TangoTest::DevVarUShortArrayCmd
class | TangoTest::DevVoidCmd
class | TangoTest::TangoTest
| Class Description: A device to test generic clients. More...
class | TangoTest::TangoTestClass
## Functions
template<typename T> T | randomize (T max)
template<typename T> void | generate_image (T *buffer, long max_xy)

## Detailed Description

Author:

Author:

Version:

Revision:

$

## Function Documentation

template<typename T>
void generate_image | ( | T * | buffer,
|  | long | max_xy
| ) |

template<typename T>
T randomize | ( | T | max | ) | `[inline]`

Tango Device Server User's Guide

### (c) ESRF - Software Engineering Group